grant 일괄
curl --request POST \
--url https://api.example.com/v1/data-apps/batch/grants \
--header 'Content-Type: application/json' \
--data '
{
"app_names": [
"<string>"
],
"usernames": [
"<string>"
]
}
'import requests
url = "https://api.example.com/v1/data-apps/batch/grants"
payload = {
"app_names": ["<string>"],
"usernames": ["<string>"]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({app_names: ['<string>'], usernames: ['<string>']})
};
fetch('https://api.example.com/v1/data-apps/batch/grants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"granted": 123,
"requested": 123,
"apps": [
{
"app_name": "<string>",
"ok": true,
"code": "<string>"
}
],
"users": [
{
"username": "<string>",
"ok": true,
"code": "<string>"
}
]
}Publishing
grant 일괄
여러 App을 여러 사용자에게 한 호출로 공유. 행렬 의미, 멱등.
POST
/
v1
/
data-apps
/
batch
/
grants
grant 일괄
POST https://api-datahub.octoparse.com/v1/data-apps/batch/grants
인증: API 키 필요(Authorization: Bearer <API Key>).
소유한 여러 App을 한 번의 호출로 여러 사용자에게 공개합니다(행렬 의미, 멱등). 저장 방식과 적용 규칙은 단일 사용자 grant와 같습니다. 각 사용자 이름은 한 번만 확인됩니다. granted는 새로운 쌍만 계산하며, 이미 목록에 있는 쌍은 멱등하게 건너뛰므로 “3개 추가, 2개는 이미 있음”을 구분할 수 있습니다.
요청
요청 body
string[]
필수
—
string[]
필수
사용자 이름 목록.
요청 예시
curl -X POST \
-H "Authorization: Bearer $OCTOPARSE_API_KEY" \
-H "Content-Type: application/json" \
-d '{"apps": ["carol/reviews-query", "carol/product-detail"], "usernames": ["dave", "erin"]}' \
"https://api-datahub.octoparse.com/v1/data-apps/batch/grants"
응답
200 성공
{
"data": {
"granted": 3,
"skipped": 1,
"apps": [
{
"app": "carol/reviews-query",
"ok": true
},
{
"app": "carol/product-detail",
"ok": true
}
],
"users": [
{
"username": "dave",
"ok": true
},
{
"username": "erin",
"ok": true
}
]
}
}
data로 감쌉니다. 필드:
integer
필수
새로 생성된 grant 쌍의 수.
integer
필수
—
오류
| HTTP | code | category | 설명 |
|---|---|---|---|
| 401 | unauthorized | forbidden | API 키 누락 또는 무효. |
{"error": {code, category, message, retryable}}입니다. 오류 참고.